Documentation

influxdb3-csharp release notes

v1.8.0

Features

  1. #227: Add example for write with interceptors.

v1.7.0

Features

  1. #220: Add InfluxDB 3 Core/Enterprise structured errors handling.

CI

  1. #213: Turn off deploy workflow for Nighly builds.
  2. #219: Add support for .NET 10.0.

v1.6.0

Features

  1. #193: Add option to disable gRPC query response compression:
    • New query option (QueryOptions.DisableGrpcCompression) added: true value disables gRPC response compression. Default value: false (compression enabled).
    • Also configurable via connection string query parameter (disableGrpcCompression).
    • Also configurable via environment variable (INFLUX_DISABLE_GRPC_COMPRESSION).

v1.5.0

Features

  1. #175: Add QueryTimeout and WriteTimeout to ClientConfig.
  2. #179: Allows create ClientConfig from ClientConfig(string connectionString) and ClientConfig(IDictionary env)

CI

  1. #181: Fix CI executors parameters.

v1.4.0

Features

  1. #174: Support passing HttpClient to InfluxDBClient.

CI

  1. #170 Add tests for arm64 CircleCI.

v1.3.0

Features

  1. #164: Add function to get InfluxDB version.
  2. #168: Run integration tests against a locally started InfluxDB 3 Core server.

v1.2.0

Features

  1. #155: Allows setting grpc options.
  2. #157: Fix: always clone DefaultOptions to keep it immutable.
  3. #158: Support fast writes without waiting for WAL persistence:
    • New write option (WriteOptions.NoSync) added: true value means faster write but without the confirmation that the data was persisted. Default value: false.
    • Supported by self-managed InfluxDB 3 Core and Enterprise servers only!
    • Also configurable via connection string query parameter (writeNoSync).
    • Also configurable via environment variable (INFLUX_WRITE_NO_SYNC).
    • Long precision string values added from v3 HTTP API: "nanosecond", "microsecond", "millisecond", "second" ( in addition to the existing "ns", "us", "ms", "s").

v1.1.0

Features

  1. #153: Add custom SSL root certificate support.
    • New configuration items:
      • SslRootsFilePath
      • DisableCertificateRevocationListCheck
    • Disclaimer: Using custom SSL root certificate configurations is recommended for development and testing purposes only. For production deployments, ensure custom certificates are added to the operating system’s trusted certificate store.

v1.0.0

Features

  1. #132: Respect iox::column_type::field metadata when mapping query results into values.
    • iox::column_type::field::integer: => Long
    • iox::column_type::field::uinteger: => Long
    • iox::column_type::field::float: => Double
    • iox::column_type::field::string: => String
    • iox::column_type::field::boolean: => Boolean

v0.8.0

Features

1.#118: Simplify getting response headers and status code from InfluxDBApiException. Includes example runnable through Examples/General.

v0.7.0

Migration Notice

  • InfluxDBClient constructor with connection options has new option authScheme with null default value:
- public InfluxDBClient(string host, string token, string? organization = null, string? database = null);
+ public InfluxDBClient(string host, string token, string? organization = null, string? database = null, string? authScheme = null)

This new option is used for Edge (OSS) authentication.

Features

  1. #101: Add standard user-agent header to all calls.
  2. #111: Add InfluxDB Edge (OSS) authentication support.

Bug Fixes

  1. #110: InfluxDB Edge (OSS) error handling.

v0.6.0

Features

  1. #90: Custom HTTP/gRPC headers can be specified globally by config or per request

v0.5.0

Features

  1. #71: Add support for named query parameters

Others

  1. #80: Use net8.0 as a default target framework in Tests and Examples

v0.4.0

Features

  1. #66: Default Tags for Writes

v0.3.0

Features

  1. #36: Add client creation from connection string and environment variables.
  2. #52: Add structured query support

Docs

  1. #52: Add downsampling example

v0.2.0

Features

  1. #33: Add GZIP support
  2. #34: Add HTTP proxy and custom HTTP headers support

Breaking Changes

  1. #35: Renamed config types and some options

v0.1.0

  • initial release of new client version

Was this page helpful?

Thank you for your feedback!


InfluxDB OSS 2.9.0: API tokens are hashed by default

Stronger token security in InfluxDB OSS 2.9.0 — tokens are hashed on disk by default. Existing tokens are hashed on first startup and can’t be recovered afterward. Capture any plaintext tokens you still need before you upgrade.

View InfluxDB OSS 2.9.0 release notes

Hashed tokens authenticate exactly like unhashed tokens — clients and integrations keep working.

Also new in 2.9.0:

  • Configurable backup compression
  • Restore support for backups containing hashed tokens
  • Tighter Edge Data Replication queue validation
  • Flux upgrade
  • Compaction reliability improvements

Key enhancements in Explorer 1.8

Explorer 1.8 is now available with streaming data subscriptions (beta), line protocol preview, and query history & saved queries.

View Explorer 1.8 release notes

Explorer 1.8 includes new features and improvements that make it easier to ingest, explore, and manage data.

Highlights:

  • Streaming data subscriptions (beta): Stream data into Explorer from MQTT, Kafka, and AMQP sources.
  • Line protocol preview: Preview line protocol, schema, and parse errors before data is written.
  • Custom sample data: Generate custom sample datasets with line protocol and schema preview.
  • Query history and saved queries: Browse query history and save/re-run named queries.
  • Retention period management: Set, update, or clear retention periods on databases and tables.

For more details, see Explorer 1.8 release notes

InfluxDB 3.9: Performance upgrade preview

InfluxDB 3 Enterprise 3.9 includes a beta of major performance upgrades with faster single-series queries, wide-and-sparse table support, and more.

InfluxDB 3 Enterprise 3.9 includes a beta of major performance and feature updates.

Key improvements:

  • Faster single-series queries
  • Consistent resource usage
  • Wide-and-sparse table support
  • Automatic distinct value caches for reduced latency with metadata queries

Preview features are subject to breaking changes.

For more information, see:

Telegraf Enterprise now in public beta

Get early access to the Telegraf Controller and provide feedback to help shape the future of Telegraf Enterprise.

See the Blog Post

The upcoming Telegraf Enterprise offering is for organizations running Telegraf at scale and is comprised of two key components:

  • Telegraf Controller: A control plane (UI + API) that centralizes Telegraf configuration management and agent health visibility.
  • Telegraf Enterprise Support: Official support for Telegraf Controller and Telegraf plugins.

Join the Telegraf Enterprise beta to get early access to the Telegraf Controller and provide feedback to help shape the future of Telegraf Enterprise.

For more information:

Telegraf Controller v0.0.7-beta now available

Telegraf Controller v0.0.7-beta is now available with new features, improvements, bug fixes, and an important breaking change.

View the release notes
Download Telegraf Controller v0.0.7-beta

InfluxDB Docker latest tag changing to InfluxDB 3 Core

On May 27, 2026, the latest tag for InfluxDB Docker images will point to InfluxDB 3 Core. To avoid unexpected upgrades, use specific version tags in your Docker deployments.

If using Docker to install and run InfluxDB, the latest tag will point to InfluxDB 3 Core. To avoid unexpected upgrades, use specific version tags in your Docker deployments. For example, if using Docker to run InfluxDB v2, replace the latest version tag with a specific version tag in your Docker pull command–for example:

docker pull influxdb:2